#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  coil10ein.py
#  
from pyModbusTCP.client import ModbusClient

SERVER_HOST = "localhost"
SERVER_PORT = 502

c = ModbusClient()

# uncomment this line to see debug message
c.debug(True)
#c.debug(False)

# define modbus server host, port
c.host(SERVER_HOST)
c.port(SERVER_PORT)
print("define modbus  "+SERVER_HOST+":"+str(SERVER_PORT))

while True:
    if not c.is_open():
        print(" not c.is_open or reconnect    "+SERVER_HOST+":"+str(SERVER_PORT))
        if not c.open():
            print("unable to connect to "+SERVER_HOST+":"+str(SERVER_PORT))

    if c.is_open():
         print("is open --> to connect to "+SERVER_HOST+":"+str(SERVER_PORT))
         bits = c.read_coils(10, 1)   #Lesen coil10 vor der Änderung
         if bits:
             print("bit adr #10: "+str(bits))

         if  c.write_single_coil(10, 1):    #Schreiben coil10  adresse 10 mit 1 = true
               print(" write ok ")
         else:
               print(" write error")
               
         bits = c.read_coils(10, 1)    #Lesen coil10 nach der Änderung
         if bits:
             print("bit adr #10: "+str(bits))               
             
    break    


